		function reqkso_data_detail(action,xid){
			
			query = {act:action,
						prod_id:$('#prod_id').val(),
						qty:$('#qty').val(),
						id:$('#autoid').val(),
						detail_id:xid
						}
			url = "reqkso_detail";
			
			$.post(url,query,function(data){
				$('#data_detail_output').html(data);
					if(action==1){
						$('#prod_id').val('');
						$('#search').val('');
						$('#search').focus();
					}
				})
			}


		function so_data_detail(action,xid){
			
			query = {act:action,
						prod_id:$('#prod_id').val(),
						qty:$('#qty').val(),
						id:$('#autoid').val(),
						price:$('#price').val(),
						disc:$('#disc').val(),
						subtotal:$('#subtotal').val(),
						disctype:$('#disc_type').val(),
						detail_id:xid
						}
			url = "reqkso_detail";
			
			$.post(url,query,function(data){
				$('#data_detail_output').html(data);
					if(action==1){
						$('#prod_id').val('');
						$('#search').val('');
						$('#search').focus();
					}
				})
			}

			
		function pm_auto_complete(url){
	
		$("#search").autocomplete(url, {
		width: 520,
		matchContains: true,
		selectFirst: false
		});
		
			$("#search").result(function(event, data, formatted) {
				$("#prod_id").val(data[1]);
				$("#prod_name").val(data[2]);
				$("#price").val(data[3]);

				calc();
			});

		}
		
		function calc(){
			hrg = new Number($('#price').val());
			qty = new Number($('#qty').val());
			disc = new Number($('#disc').val());
			
			disctype = $('#disc_type').val();
			
			
			if(disctype==1){
				discrp = hrg * disc/100;
				}else{
					discrp = disc;
					}
			
			total = (hrg-discrp) * qty;
			
			$('#subtotal').val(total);
			}
		
		function cust_auto_complete(url){
	
		$("#cust_name").autocomplete(url, {
		width: 700,
		matchContains: true,
		selectFirst: false
		});
		
			$("#cust_name").result(function(event, data, formatted) {
				$("#cust_name").val(data[0]);
				$("#cust_id").val(data[1]);
				$("#cust_addr").val(data[2]);
				$("#zona").val(data[3]);
				$("#prop").val(data[4]);
				$("#kab").val(data[5]);
				$("#kodepos").val(data[6]);
			});

		}